Subject: [os2genau_digest] No. 1523
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 25 Jul 2007 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 24 July 2007
 Number  1523
**************************************************

Subjects for today
 
1  Re:  Help with HPFS386 crash : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
2  Re:  Help with HPFS386 crash : Ed Durrant <edurrant at bigpond dot net dot au>
3   Printing to PDF : Glenn Montgomery <glenn at montysplace dot net>
4  Re:  Printing to PDF : Peter Moylan <peter at pmoylan dot org>
5  Re:  Printing to PDF : Paul Smedley" <paul at smedley.info>
6  Re:  Printing to PDF : Ed Durrant <edurrant at bigpond dot net dot au>
7  Re:  Help with HPFS386 crash : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
8  Re:  Printing to PDF : Alan Duval <amoht at westnet dot com dot au>
9  Re:  Printing to PDF : Chuck McKinnis <mckinnis at sandia dot net>

**= Email   1 ==========================**

Date:  Mon, 23 Jul 2007 17:01:12 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Help with HPFS386 crash

andrew.hood2 at bigpond dot com ha scritto:
> can't access anything on the drives because the drives are HPFS386.  I tried to make up some HPFS386 boot disks but I can't do it with files downloaded from the net.
> The only solutions I can think of at the moment are:
>   
Important!

I'm afraid you are doing some wrong thinking. There are no hpfs386 
formatted drives. Drives, or better, partitions can be formatted hpfs, 
and managed then by hpfs "tout court" or hpfs386.

Bottom line, if you encounter problems with hpfs386, edit the config.sys 
by booting from CD or so, and edit the config.sys to plain hpfs "tout 
court".

> 1) Asking very politely if someone can email copies of their HPFS386 boot disks so I can try them,
>   

It's available since ages:

http://www.taartenbakkerij.eu/bestanden/hpfsmax.exe

It's a self extracting os2 archive.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 24 Jul 2007 06:45:37 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Help with HPFS386 crash

andrew.hood2 at bigpond dot com wrote:
> Hello all,
> It's been a while since I posted anything here but I need a bit of help with a problem I'm having and the story goes like this........
> I had a bit of an epiphany a couple of weeks ago, we managed to make enough money to have a bit of an upgrading session, the wife got a new P4 duo with all the flash bits we could afford and I got her old 1600 celeron machine.  I pulled all the IDE drives out and swapped my SCSI drives in, hit the power button and it booted but froze because the Gengradd driver couldn't handle the 128 meg video card in it (don't know why and haven't had enough time to play with it).  Pulled that card and put the old 32 meg card in and we were away and flying. It was amazing how fast it was after the last 10 years of my old PII 400.
> I had to play a bit and load new drivers for the onboard network and got that working OK and got the broadband connected, then I cruised through the os2site looking for onboard sound drivers, found one that looked about right, and started loading it.  Right about then we had one of those mini power blips, just enough to shut the machine down and then immediately restart.  
> This is where my problems started.  I forgot that a couple of years ago while playing around I had installed HPFS386 file system onto my main drive to see what it was like, liked it, and left it there.  What I hadn't done was change my maintenance partition to HPFS386, or made boot disks to suit.
> The machine re-booted but crashed with a SET RUNWORKPLACE = error, no problem I'll just reboot to the maint partition to sort it out, that crashed with a DOSCALL1.DLL error, bugger, drag out the boot disks, wipe the dust off, hope like hell they still work and try to boot them.  They worked OK but I can't access anything on the drives because the drives are HPFS386.  I tried to make up some HPFS386 boot disks but I can't do it with files downloaded from the net.
> The only solutions I can think of at the moment are:
> 1) Asking very politely if someone can email copies of their HPFS386 boot disks so I can try them,
> 2) Point me in the direction of a URL that has copies of the above boot disks,
> or 
> 3) fdisk and reload from scratch, remembering to make a image of the partition once I have done all the fixpacks and upgrades so I don't have to do it again, and then remembering to install the FS driver on the maint partition as well.
>
> Any other suggestions or comments would be greatly appreciated as I am a bit stuck and want my OS/2 machine back!
>
> Thanks
>
> Andrew Hood
>
> PS: I would love to try eCS but haven't got the money spare to buy it so unfortunately that is not an option, and sliding it past the finance department would be difficult (why do you keep playing around with that old stuff, just use windows, at least it works (shudder)).  Any one got a spare copy they want to sell cheap?

>  

>
>   
HPFS 386 is an add-on, on top of HPFS. It consists of additional 
directories that control access profiles plus some additional software 
daemons that are loaded to manage things. My point is that the base 
level format of the harddisk is actually just HPFS. Therefore if you 
have boot diskettes that support HPFS and you can run chkdsk /F from 
these on the drive, I expect you will be OK, unless the glitch has 
occurred in that HPFS386 directory.

If you are still stuck, e-mail me privately your postal address and I'll 
see what I can dig out in the way of HPFS 386 boot diskettes.

Just as an interesting point (not sure if it has HPFS386 support, 
suspect not as writing to other disks is blocked), you may want to 
download and burn the free eCS v 1.2 demo CD from 
http://www.ecomstation dot com/democd/

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 24 Jul 2007 14:11:55 +0000
From:  Glenn Montgomery <glenn at montysplace dot net>
Subject:   Printing to PDF

Hello all,

Just a quickie, hopefully. I currently don't have an os/2 compatible 
printer so I was thinking if I just printed to PDF then at least I could 
use my windoze machine later to print if needed. Anyhow, my question is 
how would I set up my ecomstation machine to print to PDF?

Many thanks,
Glenn.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 24 Jul 2007 15:19:41 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Printing to PDF

Glenn Montgomery wrote:
> Hello all,
> 
> Just a quickie, hopefully. I currently don't have an os/2 compatible 
> printer so I was thinking if I just printed to PDF then at least I 
> could use my windoze machine later to print if needed. Anyhow, my 
> question is how would I set up my ecomstation machine to print to 
> PDF?

Look for epDF on Hobbes. It's aPostscript-to-PDF converter, and it also
includes a
printer driver to which you ca print from any applicatio. From memory,
there's also adaemon that will take the output of the printer driver and
feed it into ePDF.

i've forgottten the details of that part - it might be aseparate package
that yiou have to download - but a bit of googling on ePDF (or just a
Hobbes search) should resolve that.

Sorry abou all the typos. I'm trying to typ[e one-handed while on hold
on the phone. I must have heard "thank you for your patiece" about 20 times.

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

Please note that my e-mail address has changed yet again.
Some of my older addresses still work, but it is not certain
when they will be phased out.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Tue, 24 Jul 2007 15:03:55 +0930
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  Printing to PDF

Hi Glenn,

On Tue, 24 Jul 2007 14:11:55 +0000
  Glenn Montgomery <glenn at montysplace dot net> wrote:
> Just a quickie, hopefully. I currently don't have an 
>os/2 compatible printer so I was thinking if I just 
>printed to PDF then at least I could use my windoze 
>machine later to print if needed. Anyhow, my question is 
>how would I set up my ecomstation machine to print to 
>PDF?

On this subject - with any luck - eCups will be a viable 
solution for printing to most inkjet printers in the near 
future.

I start two weeks vacation on Friday 27th - one of my 
projects is to tidy up the CUPS port side of things, and 
nag Bart into doing his bit to improve pin.exe so that 
Gutenprint PPD files can be easily imported into 
pscript.drv to provide the printer dialogs that are needed 
to control options, etc.

Stay tuned!

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Tue, 24 Jul 2007 17:57:11 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Printing to PDF

Paul Smedley wrote:
> Hi Glenn,
>
> On Tue, 24 Jul 2007 14:11:55 +0000
>  Glenn Montgomery <glenn at montysplace dot net> wrote:
>> Just a quickie, hopefully. I currently don't have an os/2 compatible 
>> printer so I was thinking if I just printed to PDF then at least I 
>> could use my windoze machine later to print if needed. Anyhow, my 
>> question is how would I set up my ecomstation machine to print to PDF?
>
> On this subject - with any luck - eCups will be a viable solution for 
> printing to most inkjet printers in the near future.
>
> I start two weeks vacation on Friday 27th - one of my projects is to 
> tidy up the CUPS port side of things, and nag Bart into doing his bit 
> to improve pin.exe so that Gutenprint PPD files can be easily imported 
> into pscript.drv to provide the printer dialogs that are needed to 
> control options, etc.
>
> Stay tuned!
>
> Cheers,
>
> Paul.
 
>
> 

>
Great news Paul - let me know when you need anything testing as I am 
also on vacation from the end of the week for a month (moving house).

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Tue, 24 Jul 2007 19:09:25 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Help with HPFS386 crash

>HPFS 386 is an add-on, on top of HPFS. It consists of additional 
>directories that control access profiles plus some additional software 
>daemons that are loaded to manage things. My point is that the base 
>level format of the harddisk is actually just HPFS. Therefore if you 

Er, not quite. Mostly correct. HPFS386 does use the base same structures,
but it does add some extra stuff into the file system (ACL's to be precise)
that the normal HPFS.IFS does understand.

The upshot of this is that there are some cases where only the full HPFS386
can recover itself.

ACL protected directories (think: IBMLAN\ACCOUNTS etc) will not be visible
to the base HPFS.

If it is crashing at the RUNWORKPLACE line then the OS2.ini and OS2SYS.ini
files may have been hosed.

What happens when you boot to a CMD.EXE instance?

(ie no PM).

Tools such as the WPSTools suite may fix this.

Either that, or restore a previous OS/2 desktop.

To protect against this, I normally run ARCINST (which sets the initial
install one) and then enable backup archiving and shutdown and reboot three
times (and then disable it again). That leaves me with three 'good' and up
to date copies. Be warned though, I have been known to go through all three
backups and to the initial install one before it has actually worked. Go
figure. Your mileage may vary.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Tue, 24 Jul 2007 07:50:06 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Printing to PDF

Glenn Montgomery wrote:

> Hello all,
>
> Just a quickie, hopefully. I currently don't have an os/2 compatible 
> printer so I was thinking if I just printed to PDF then at least I 
> could use my windoze machine later to print if needed. Anyhow, my 
> question is how would I set up my ecomstation machine to print to PDF?

OpenOffice 2.0 will convert documents to PDF.

Regards,

Alan Duval

----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Tue, 24 Jul 2007 15:30:07 +0300
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  Printing to PDF

Alan Duval wrote:
> Glenn Montgomery wrote:
> 
>> Hello all,
>>
>> Just a quickie, hopefully. I currently don't have an os/2 compatible 
>> printer so I was thinking if I just printed to PDF then at least I 
>> could use my windoze machine later to print if needed. Anyhow, my 
>> question is how would I set up my ecomstation machine to print to PDF?
> 
> OpenOffice 2.0 will convert documents to PDF.
> 
> Regards,
> 
> Alan Duval
> 
 
> 
> 

> 

Or use the PMPDF application from Netlabs.

-- 
Chuck McKinnis
Harvesters Reaching the Nations, Yei, Sudan
http://www.hrtn dot org/
http://www.calvarychapel dot org/eastmountain/
http://www.7cities dot net/~mckinnis/

I will bless the Lord at all times: his praise shall continually be in 
my mouth. Psalm 34:1

----------------------------------------------------------------------------------